Subject: Re: [PATCH 0/3 v2] 9p: Fix write overflow in p9_read_work

From: [email-masked]
Date: Fri, 18 Nov 2022 22:57:14 +0900

Guozihua (Scott) wrote on Fri, Nov 18, 2022 at 06:18:16PM +0800:
> I retried the repro on your branch, the issue does not reproduce. What
> a good pair of eyes :)！

Thanks!
By the way the original check also compared size to msize directly,
without an offset for headers, so with hindsight it looks clear enough
that the size is the full size including the header.

I'm not sure why I convinced myself it didn't...

Anyway, this made me check other places where we might fail at this and
I've a couple more patches; please review if you have time.
I'll send them all to Linus next week...
-- 
Dominique